Skip to main content
GET
/
projects
/
{projectId}
/
integrations
Error
A valid request URL is required to generate request examples
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "type": "<string>",
    "fetch_branches": true,
    "prune_branches": true,
    "environment_init_resources": "default",
    "repository": "<string>",
    "build_pull_requests": true,
    "pull_requests_clone_parent_data": true,
    "resync_pull_requests": true,
    "id": "<string>",
    "app_credentials": {
      "key": "<string>"
    },
    "addon_credentials": {
      "addon_key": "<string>",
      "client_key": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required

Response

default - application/json
created_at
string<date-time> | null
required

The creation date

updated_at
string<date-time> | null
required

The update date

type
string
required
fetch_branches
boolean
required

Whether or not to fetch branches.

prune_branches
boolean
required

Whether or not to remove branches that disappeared remotely (requires fetch_branches).

environment_init_resources
enum<string>
required

The resources used when initializing a new service

Available options:
default,
manual,
minimum,
parent
repository
string
required

The Bitbucket repository (in the form user/repo).

build_pull_requests
boolean
required

Whether or not to build pull requests.

pull_requests_clone_parent_data
boolean
required

Whether or not to clone parent data when building merge requests.

resync_pull_requests
boolean
required

Whether or not pull request environment data should be re-synced on every build.

id
string

The identifier of BitbucketIntegration

app_credentials
OAuth2 consumer · object

The OAuth2 consumer information (optional).

addon_credentials
Addon credential · object

The addon credential information (optional).

Last modified on March 11, 2026